# Code of Conduct

You must obey this repository's [code of conduct](https://github.com/ropensci/drake/blob/master/CONDUCT.md), as must everyone who responds to you on the issue tracker.

# Before posting

The GitHub issue tracker is a great place for general usage questions. However, you may alternatively wish to post to [Stack Overflow](https://stackoverflow.com) and use the [`drake-r-package` tag](https://stackoverflow.com/tags/drake-r-package).

If you do use the issue tracker, please search the [known issues](https://github.com/ropensci/drake/issues) first, both open and closed, including the [frequently-asked questions](https://github.com/ropensci/drake/issues?q=is%3Aissue+is%3Aopen+label%3A%22Frequently+Asked+Question%22). You may also find the answer to your question in the [online manual](https://ropenscilabs.github.io/drake-manual).

When you post, please include a minimal reproducible example of the problem and/or desired behavior, if applicable. The [`reprex` package](https://github.com/tidyverse/reprex) package is particularly nice for this.

Also, good style really helps others read the code you share. The [tidyverse style guide](http://style.tidyverse.org/) has suggestions, the [`styler` package](http://styler.r-lib.org/) is a great way to clean up your code automatically, and the [`lintr` package](https://github.com/jimhester/lintr) checks for style issues.
